%define git 20140618

%define major 0
%define libname %mklibname jit %{major}
%define libjitdynamic %mklibname jitdynamic %{major}
%define libjitplus %mklibname jitplus %{major}
%define devname %mklibname jit -d

Summary:	Just-In-Time compiler library
Name:		libjit
Version:	0.1.3
Release:	1
License:	LGPLv2.1+
Group:		System/Libraries
Url:		http://savannah.gnu.org/projects/libjit/
Source0:	%{name}-%{version}-%{git}.tar.bz2
Patch0:		libjit-0.1.3-20140618-sfmt.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	texinfo

%description
LibJIT is a library that provides generic Just-In-Time compiler functionality
independent of any particular bytecode, language, or runtime. It started
off as a part of the DotGNU project and was used as the backend for DotGNU
Portable.NET JIT engine. Since then it has been used in a number of other
projects not related to DotGNU and became a separate project on its own right.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Just-In-Time compiler library
Group:		System/Libraries

%description -n %{libname}
LibJIT is a library that provides generic Just-In-Time compiler functionality
independent of any particular bytecode, language, or runtime. It started
off as a part of the DotGNU project and was used as the backend for DotGNU
Portable.NET JIT engine. Since then it has been used in a number of other
projects not related to DotGNU and became a separate project on its own right.

%files -n %{libname}
%{_libdir}/libjit.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libjitdynamic}
Summary:	Just-In-Time compiler library
Group:		System/Libraries

%description -n %{libjitdynamic}
LibJIT is a library that provides generic Just-In-Time compiler functionality
independent of any particular bytecode, language, or runtime. It started
off as a part of the DotGNU project and was used as the backend for DotGNU
Portable.NET JIT engine. Since then it has been used in a number of other
projects not related to DotGNU and became a separate project on its own right.

%files -n %{libjitdynamic}
%{_libdir}/libjitdynamic.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libjitplus}
Summary:	Just-In-Time compiler library
Group:		System/Libraries

%description -n %{libjitplus}
LibJIT is a library that provides generic Just-In-Time compiler functionality
independent of any particular bytecode, language, or runtime. It started
off as a part of the DotGNU project and was used as the backend for DotGNU
Portable.NET JIT engine. Since then it has been used in a number of other
projects not related to DotGNU and became a separate project on its own right.

%files -n %{libjitplus}
%{_libdir}/libjitplus.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for Just-In-Time compiler library
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Requires:	%{libjitdynamic} = %{EVRD}
Requires:	%{libjitplus} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files for Just-In-Time compiler library.

%files -n %{devname}
%doc AUTHORS COPYING COPYING.LESSER ChangeLog NEWS README
%{_libdir}/*.so
%dir %{_includedir}/jit/
%{_includedir}/jit/*.h
%{_infodir}/%{name}.info*
%{_mandir}/man3/%{name}.3*

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}-%{git}
%patch0 -p1

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std


%changelog
* Mon Dec 29 2014 Rosa <rosa@abf.rosalinux.ru> 0.1.3-1
+ Revision: 843d750
- Automatic import for version 0.1.3-1


